Subject: Re: 64-bit ppc rwsem (was: Re: [GIT] Sparc)

From: Benjamin Herrenschmidt <[email-masked]>
Date: Wed, 18 Aug 2010 15:03:23 +1000

On Wed, 2010-08-18 at 14:38 +1000, Benjamin Herrenschmidt wrote:
> 
> Here's an untested patch for the folks on linuxppc-dev to look at,
> I'll
> review my own stuff & test tomorrow. 

Allright, gcc's being a pain, and atomics are a struct so we can't that
easily assign.

I tried various tricks but so far they didn't work. I'll have another
look tomorrow, but I may end up having to keep all the crap typecasts.

Cheers,
Ben.